Index: code/branches/CampaignMap_HS17/data/levels/emptyLevel.oxw
===================================================================
--- code/branches/CampaignMap_HS17/data/levels/emptyLevel.oxw	(revision 11544)
+++ code/branches/CampaignMap_HS17/data/levels/emptyLevel.oxw	(revision 11545)
@@ -17,5 +17,5 @@
 ?>
 
-<Level>
+<Level gametype = StoryMode>
   <templates>
     <Template link=lodtemplate_default />
@@ -28,9 +28,5 @@
   >
 
-
-  <SpawnPoint position="0,-100,0" lookat="0,0,0" roll=180 spawnclass=SpaceShip pawndesign=spaceshipassff />
-
-
-  <StaticEntity position="0,0,0" direction="0,0,0" >
+  <StoryModePlanet position="0,0,0" direction="0,0,0">
   <attached>
 
@@ -63,15 +59,10 @@
 
   </attached>
-</StaticEntity>
+  </StoryModePlanet>
 
-<MovableEntity>
-    
-
+  <MovableEntity>
     <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
-    <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipescort />
-
-</MovableEntity>
-
-    
+  </MovableEntity>  
+  <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipescort />
   </Scene>
 </Level>
Index: code/branches/CampaignMap_HS17/src/orxonox/worldentities/CMakeLists.txt
===================================================================
--- code/branches/CampaignMap_HS17/src/orxonox/worldentities/CMakeLists.txt	(revision 11544)
+++ code/branches/CampaignMap_HS17/src/orxonox/worldentities/CMakeLists.txt	(revision 11545)
@@ -13,4 +13,5 @@
   ExplosionPart.cc
   Actionpoint.cc
+  StoryModePlanet.cc
 )
 
Index: code/branches/CampaignMap_HS17/src/orxonox/worldentities/StoryModePlanet.cc
===================================================================
--- code/branches/CampaignMap_HS17/src/orxonox/worldentities/StoryModePlanet.cc	(revision 11545)
+++ code/branches/CampaignMap_HS17/src/orxonox/worldentities/StoryModePlanet.cc	(revision 11545)
@@ -0,0 +1,55 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Bolt Nikola
+ *   Co-authors:
+ *      Claudio Fanconi
+ *
+ *
+ *	 Authors' Note:
+ *	 The following class inherits of its superclass planet
+ * 	 It is meant only for the Campaign Map
+ *	 This subclass of planet has the addition, that they can be labeled ingame, just like bots are in a level gameplay (As it would be nice to see which level you can play) 
+ *	 
+ */
+
+#include "StoryModePlanet.h"
+
+namespace orxonox
+{
+    RegisterClass(StoryModePlanet);
+
+
+    StoryModePlanet::StoryModePlanet(Context* context) : StaticEntity(context)
+    {
+        RegisterObject(StoryModePlanet);
+    }
+
+    StoryModePlanet::~StoryModePlanet()
+    {
+    }
+
+    void StoryModePlanet::XMLPort(Element& xmlelement, XMLPort::Mode mode){
+        SUPER(StoryModePlanet, XMLPort, xmlelement, mode);
+        XMLPortParam(StoryModePlanet, "levelName", setLevelName, getLevelName, xmlelement, mode);
+    }
+}
Index: code/branches/CampaignMap_HS17/src/orxonox/worldentities/StoryModePlanet.h
===================================================================
--- code/branches/CampaignMap_HS17/src/orxonox/worldentities/StoryModePlanet.h	(revision 11545)
+++ code/branches/CampaignMap_HS17/src/orxonox/worldentities/StoryModePlanet.h	(revision 11545)
@@ -0,0 +1,36 @@
+/*
+*This is the header of the StoryModePlanet.cc file
+*In this file we define a constructor, destructor and additional function (which is important to name a planet)
+*
+*Author: Bolt Nikole
+*Co-Author: Fanconi Claudio
+*
+*/
+
+#ifndef _StoryModePlanet_H__
+#define _StoryModePlanet_H__
+
+#include "core/CoreIncludes.h"
+#include "core/XMLPort.h"
+#include "worldentities/StaticEntity.h"
+
+namespace orxonox
+{ 
+    class _OrxonoxExport StoryModePlanet : public StaticEntity
+    {
+    	public:
+    		StoryModePlanet(Context* context);
+    		virtual ~StoryModePlanet();
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+
+            inline void setLevelName(const std::string& levelname)
+                { this->levelName_ = levelname; }
+
+            inline const std::string& getLevelName()
+                { return this->levelName_; }
+
+        private:
+            std::string levelName_;
+    };
+}
+#endif