Index: /code/branches/HUD_HS16/src/modules/overlays/hud/HUDPickupSystem.cc
===================================================================
--- /code/branches/HUD_HS16/src/modules/overlays/hud/HUDPickupSystem.cc	(revision 11557)
+++ /code/branches/HUD_HS16/src/modules/overlays/hud/HUDPickupSystem.cc	(revision 11558)
@@ -68,13 +68,19 @@
     }
     
-    void HUDPickupSystem::sync(std::vector<Pickupable*> p)
+    void HUDPickupSystem::sync(std::vector<Pickupable*> p, std::map<Pickupable*, uint32_t> indexes_)
     {
         //hide all pickup symbols in HUD and delete from local map
+        
+        orxout() << "picks size before: " << picks.size() << endl;
+        orxout() << "p size before: " << p.size() << endl;
 
         for(const auto& sm_pair : picks)
         {
             sm_pair.second->hideMe(sm_pair.first, repaint);
-            picks.erase(sm_pair.first);
+            orxout() << "deleting local list picks: " << picks.size() << " pickup ptr" << sm_pair.first << endl;
         }
+
+        picks.clear();
+        assert(picks.empty()); //picks must be empty now
 
         //add to local map and place on screen
@@ -83,8 +89,12 @@
         float offsetY = 0.82f;
         const float x = 0.102f;
+        orxout() << "picks size after: " << picks.size() << endl;
+        orxout() << "p size after: " << p.size() << endl;
+
         for(Pickupable* pickup:p)
         {
+            i=indexes_.find(pickup)->second;
             //second row has offset
-            if(i==4)
+            if(i==5)
             {    
                 i=0;
@@ -97,59 +107,8 @@
             item->setOverlayGroup(this->getOverlayGroup());
             picks[pickup] = item;
-            i++;
-        }
-
-    }
-
-    void HUDPickupSystem::updatePickupList(std::vector<Pickupable*> picks, std::map<Pickupable*, uint32_t> indexes_)
-    {
-        int i =0;
-        const float offsetX = 0.345f;
-        float offsetY = 0.82f;
-        const float x = 0.102f;
-
-        if(picks.size()>0)
-        {
-            for(Pickupable* p : picks)
-            {
-                i = indexes_.find(p)->second;
-                offsetY = 0.82f;
-
-                if(i>=5)
-                {
-                    offsetY+=0.075f;
-                    i-=5;
-                }   
-                if(this->picks.count(p)==0)
-                {
-                    HUDPickupItem* item = new HUDPickupItem(this->getContext());
-                    item->initializeMaterial(this->getIcon(((Pickup*)p)->getRepresentationName()), offsetX+i*x, offsetY);
-                    orxout() << "created new pickupHUDItem"<<endl;
-                    item->setOverlayGroup(this->getOverlayGroup());
-                    this->picks[p] = item;
-                }
-            }
         }
     }
 
-    void HUDPickupSystem::createPickupList()
-    {
-    }      
-
-    void HUDPickupSystem::removePickup(Pickupable* pickup)
-    {
-        assert(pickup);
-        orxout()<< "removePickup called with " << pickup << endl;
-        HUDPickupItem* item = this->picks.find(pickup)->second;
-        orxout() << "removePickup: pickup= " << pickup << " item= " << item << endl;
-        this->picks.erase(pickup);
-        //assert(item);
-        item->hideMe(pickup, repaint);
-        orxout() << "i am hidden now" << endl;
-        //assert(overlayElement_);
-        //assert(this->background_);
-        orxout()<< "end removePickup method" << endl;
-    }
-
+    
     void HUDPickupSystem::destroyAll()
     {
Index: /code/branches/HUD_HS16/src/modules/overlays/hud/HUDPickupSystem.h
===================================================================
--- /code/branches/HUD_HS16/src/modules/overlays/hud/HUDPickupSystem.h	(revision 11557)
+++ /code/branches/HUD_HS16/src/modules/overlays/hud/HUDPickupSystem.h	(revision 11558)
@@ -57,8 +57,5 @@
 
         void sizeChanged();
-        void sync(std::vector<Pickupable*> p);
-        void updatePickupList(std::vector<Pickupable*> picks, std::map<Pickupable*, uint32_t> indexes_);  
-        void createPickupList();  
-        void removePickup(Pickupable* pickup);
+        void sync(std::vector<Pickupable*> p, std::map<Pickupable*, uint32_t> indexes_);
 
         bool repaint=true; //if we shouldnt repaint, set this to false
Index: /code/branches/HUD_HS16/src/modules/pickup/PickupManager.cc
===================================================================
--- /code/branches/HUD_HS16/src/modules/pickup/PickupManager.cc	(revision 11557)
+++ /code/branches/HUD_HS16/src/modules/pickup/PickupManager.cc	(revision 11558)
@@ -300,5 +300,5 @@
 
             if(pickupSystem)
-                pickupSystem->sync(picks);
+                pickupSystem->sync(picks, indexes_);
             
         }
@@ -316,5 +316,5 @@
 
             if(pickupSystem)
-                pickupSystem->sync(picks);
+                pickupSystem->sync(picks, indexes_);
             orxout() << "end of pickupChangedPickedUp" << endl;
         }