Index: code/branches/CampaignMap_HS17/data/levels/NC_StoryModeLevel.oxw
===================================================================
--- code/branches/CampaignMap_HS17/data/levels/NC_StoryModeLevel.oxw	(revision 11545)
+++ code/branches/CampaignMap_HS17/data/levels/NC_StoryModeLevel.oxw	(revision 11560)
@@ -11,5 +11,5 @@
   include("templates/lodInformation.oxt")
   include("templates/StoryMode.oxt")
-
+  include("HUDTemplates3.oxo")
   include("templates/spaceshipAssff.oxt")
   include("templates/spaceshipEscort.oxt")
@@ -17,5 +17,5 @@
 ?>
 
-<Level>
+<Level  gametype = StoryMode>
 
   <templates>
@@ -29,9 +29,9 @@
   >
 
-  <SpawnPoint position="000.000, 000.000, 1000.000" orientation="0, 0, 0, -1" pawndesign= StoryMode />
+  <SpawnPoint position="000.000, 000.000, 1000.000" spawnclass=SpaceShip orientation="0, 0, 0, -1" pawndesign= spaceshipescort />
     
 
   <StaticEntity position="0,0,0" direction="0,0,0" >
-  <attached>
+    <attached>
 
     <Model position="600,370,0" mesh="planets/moon.mesh" scale=100 />
@@ -62,14 +62,9 @@
     <Billboard colour="1,1,0.05" position="1500,-1300,-2080"  material="Flares/lensflare" scale=5 />
 
+    <Model position="0,0,0" mesh="planets/moon.mesh" scale=100 />
+    
+
   </attached>
 </StaticEntity>
-
-<MovableEntity>
-    
-
-    <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
-    <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipescort />
-
-</MovableEntity>
 
     
Index: code/branches/CampaignMap_HS17/data/levels/emptyLevel.oxw
===================================================================
--- code/branches/CampaignMap_HS17/data/levels/emptyLevel.oxw	(revision 11545)
+++ code/branches/CampaignMap_HS17/data/levels/emptyLevel.oxw	(revision 11560)
@@ -10,4 +10,6 @@
   include("HUDTemplates3.oxo")
   include("templates/lodInformation.oxt")
+  include("StoryModeHUD2")
+  include("StoryMode.oxt")
 ?>
 
@@ -60,8 +62,5 @@
   </attached>
   </StoryModePlanet>
-
-  <MovableEntity>
-    <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
-  </MovableEntity>  
+  <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
   <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipescort />
   </Scene>
Index: code/branches/CampaignMap_HS17/data/levels/templates/StoryMode.oxt
===================================================================
--- code/branches/CampaignMap_HS17/data/levels/templates/StoryMode.oxt	(revision 11545)
+++ code/branches/CampaignMap_HS17/data/levels/templates/StoryMode.oxt	(revision 11560)
@@ -1,5 +1,5 @@
 <Template name=StoryMode>
   <SpaceShip
-   hudtemplate            = StoryModeMap
+   hudtemplate            = StoryModeHUD2
    camerapositiontemplate = spaceshipghostcameras
    
Index: code/branches/CampaignMap_HS17/data/overlays/HUDTemplates3.oxo
===================================================================
--- code/branches/CampaignMap_HS17/data/overlays/HUDTemplates3.oxo	(revision 11545)
+++ code/branches/CampaignMap_HS17/data/overlays/HUDTemplates3.oxo	(revision 11560)
@@ -48,4 +48,16 @@
   <OverlayGroup name = "spaceshiphud" scale = "1, 1">
     <Map />
+
+
+
+    <StoryModeHUD
+     name           = "StoryMode"
+     correctaspect  = false
+     font           = "Monofur"
+     textSize       = 0.05
+     align          = "center"
+    />
+
+
 
     <HUDHealthBar
Index: code/branches/CampaignMap_HS17/data/overlays/StoryModeHUD2.oxo
===================================================================
--- code/branches/CampaignMap_HS17/data/overlays/StoryModeHUD2.oxo	(revision 11545)
+++ code/branches/CampaignMap_HS17/data/overlays/StoryModeHUD2.oxo	(revision 11560)
@@ -22,12 +22,7 @@
 -->
 
-<Template name="spectatorhud">
-  <OverlayGroup name = "spectatorhud" scale = "1, 1">
-  </OverlayGroup>
-</Template>
 
-<Template name="spaceshiphud">
+<Template name="StoryModeHUD2">
   <OverlayGroup name = "spaceshiphud" scale = "1, 1">
-    <Map />
 
     <!--
@@ -46,24 +41,6 @@
      name           = "StoryMode"
      correctaspect  = true
-     font           = "Verdana"
+     font           = "Monofur"
      textSize       = 0.05
-    />
-
-    <GUIOverlay
-      name = "QuestGUI"
-      guiname = "QuestGUI"
-      visible = "false"
-    />
-    
-    <GUIOverlay
-      name = "PickupInventory"
-      guiname = "PickupInventory"
-      visible = "false"
-    />
-
-    <GUIOverlay
-      name = "Dialogue"
-      guiname = "Dialogue"
-      visible = "false"
     />
 
Index: code/branches/CampaignMap_HS17/src/modules/overlays/hud/CMakeLists.txt
===================================================================
--- code/branches/CampaignMap_HS17/src/modules/overlays/hud/CMakeLists.txt	(revision 11545)
+++ code/branches/CampaignMap_HS17/src/modules/overlays/hud/CMakeLists.txt	(revision 11560)
@@ -27,3 +27,4 @@
   LastTeamStandingInfos.cc
   CountDown.cc
+  StoryModeHUD.cc
 )
Index: code/branches/CampaignMap_HS17/src/modules/overlays/hud/StoryModeHUD.cc
===================================================================
--- code/branches/CampaignMap_HS17/src/modules/overlays/hud/StoryModeHUD.cc	(revision 11545)
+++ code/branches/CampaignMap_HS17/src/modules/overlays/hud/StoryModeHUD.cc	(revision 11560)
@@ -68,8 +68,23 @@
     {
         RegisterObject(StoryModeHUD);
- 
+
         // Set default values
-        this->setFont("Monofur");
-        this->setTextSize(0.5f);
+        //this->setFont("Monofur");
+        //this->setTextSize(0.5f);
+
+        // Scales used for dimensions and text size
+        float xScale = this->getActualSize().x;
+        float yScale = this->getActualSize().y;
+
+        // Create text
+        text_ = static_cast<Ogre::TextAreaOverlayElement*>( Ogre::OverlayManager::getSingleton()
+                .createOverlayElement("TextArea", "StoryModeHUD_navText_" + getUniqueNumberString()));
+        //text->setFontName(this->fontName_);
+        //text->setCharHeight(this->textSize_ * yScale);
+        text_->setDimensions(xScale, yScale);
+
+        text_->hide();
+        
+        this->background_->addChild(text_);
     }
 
@@ -102,9 +117,6 @@
         }
         this->fontName_ = font;
-        for (const auto& mapEntry : this->activeObjectList_)
-        {
-            if (mapEntry.second.text_ != nullptr)
-                mapEntry.second.text_->setFontName(this->fontName_);
-        }
+        if(text_ != nullptr)
+            text_->setFontName(this->fontName_);
     }
    
@@ -124,9 +136,5 @@
         }
         this->textSize_ = size;
-        for (const auto& mapEntry : this->activeObjectList_)
-        {
-            if (mapEntry.second.text_)
-                mapEntry.second.text_->setCharHeight(size);
-        }
+        
     }
 
@@ -151,41 +159,29 @@
 
 
-                    //display name next to cursor
-                    //TODO: Planet.getName()
-                    text_->setCaption("Hello Muthafuckin' World!");
+        //display name next to cursor
+        //TODO: Planet.getName()
+        text_->setCaption("Was geht ab?");
 
-                    // Transform to screen coordinates
-                    Vector3 pos = camTransform *  planet->getRVWorldPosition();
+        // Transform to screen coordinates
+        Vector3 pos = camTransform * Vector3(0,0,0); // planet->getRVWorldPosition();
+
+        // If you fly passed the description, it gets out of sight
+        if (pos.z > 1.0)
+            return;
        
-                    // Position text
-                    text_->setLeft((pos.x + 1.0f + it->second.panel_->getWidth()) * 0.5f);
-                    it->second.text_->setTop((-pos.y + 1.0f + it->second.panel_->getHeight()) * 0.5f);
+        // Position text
+        text_->setLeft((pos.x+1)/2); // The (0,0) Coordinate is in the upper left corner.
+        text_->setTop((-pos.y+1)/2);  // With those two calculations we set the desired positions
 
-                    // Make sure the overlays are shown
-                    it->second.text_->show();
+        // Make sure the overlays are shown
+        text_->show();
 
     }
 
-    void StoryModeHUD::addObject()
-    {
-        // Scales used for dimensions and text size
-        float xScale = this->getActualSize().x;
-        float yScale = this->getActualSize().y;
+    //void StoryModeHUD::addObject()
 
-        // Create text
-        Ogre::TextAreaOverlayElement* text = static_cast<Ogre::TextAreaOverlayElement*>( Ogre::OverlayManager::getSingleton()
-                .createOverlayElement("TextArea", "StoryModeHUD_navText_" + getUniqueNumberString()));
-        text->setFontName(this->fontName_);
-        text->setCharHeight(this->textSize_ * yScale);
-        text->setColour(object->getRadarObjectColour());
-
-        text->hide();
-        
-        this->background_->addChild(text);
-    }
-
-    void StoryModeHUD::removeObject(RadarViewable* viewable)
+    /*void StoryModeHUD::removeObject(RadarViewable* viewable)
     {
         Ogre::OverlayManager::getSingleton().destroyOverlayElement(it->second.text_);
-    }
+    }*/
 }