Index: code/branches/FlappyOrx_HS17/data/levels/FlappyOrx.oxw
===================================================================
--- code/branches/FlappyOrx_HS17/data/levels/FlappyOrx.oxw	(revision 11562)
+++ code/branches/FlappyOrx_HS17/data/levels/FlappyOrx.oxw	(revision 11563)
@@ -42,5 +42,5 @@
 
     <!-- <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/> -->
-    <Light type=directional position="1100, 11000, -7000" lookat="0, 0, 0" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
+    <Light type=directional position="11000, 11000, -7000" lookat="0, 0, 0" diffuse="1, 1, 1, 1" specular="1.0, 0.9, 0.9, 1.0" />
     <SpawnPoint team=0 position="0,0,0" lookat="0,0,0" spawnclass=FlappyOrxShip pawndesign=spaceshipFlappyOrx />
 
Index: code/branches/FlappyOrx_HS17/data/overlays/FlappyOrxHUD.oxo
===================================================================
--- code/branches/FlappyOrx_HS17/data/overlays/FlappyOrxHUD.oxo	(revision 11562)
+++ code/branches/FlappyOrx_HS17/data/overlays/FlappyOrxHUD.oxo	(revision 11563)
@@ -15,6 +15,16 @@
      align     = "left"
 
-     showlives     = false
      showpoints     = true
+    />
+
+    <FlappyOrxHUDinfo
+     position  = "0.02, 0.01"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.04
+     colour    = "1.0, 1.0, 1.0, 1.0"
+     align     = "left"
+
+     showmessage     = true
     />
 
@@ -26,5 +36,5 @@
      colour    = "1.0, 1.0, 1.0, 1.0"
      align     = "left"
-     caption   = "Points: "
+     caption   = "Score: "
     />
     <!-- <FlappyOrxHUDinfo 
Index: code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrx.cc
===================================================================
--- code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrx.cc	(revision 11562)
+++ code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrx.cc	(revision 11563)
@@ -51,4 +51,5 @@
 #include "core/command/ConsoleCommand.h"
 #include "worldentities/ExplosionPart.h"
+
 
 namespace orxonox
@@ -198,4 +199,12 @@
     };
 
+    bool FlappyOrx::isDead(){
+        return true;
+    }
+
+    std::string FlappyOrx::getDeathMessage(){
+        return "hello world";
+    }
+
     void FlappyOrx::comboControll()
     {
Index: code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrx.h
===================================================================
--- code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrx.h	(revision 11562)
+++ code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrx.h	(revision 11563)
@@ -88,4 +88,8 @@
             // checks if multiplier should be reset.
             void comboControll();
+
+            bool isDead();
+            std::string getDeathMessage();
+
             int lives;
             int multiplier;
Index: code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxHUDinfo.cc
===================================================================
--- code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxHUDinfo.cc	(revision 11562)
+++ code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxHUDinfo.cc	(revision 11563)
@@ -45,4 +45,6 @@
         this->bShowPoints_ = false;
         this->bShowMultiplier_ = false;
+        this->bShowGameOver_ = false;
+        this->sGameOverMessage_ = "";
     }
 
@@ -52,5 +54,6 @@
 
         XMLPortParam(FlappyOrxHUDinfo, "showlives",     setShowLives,     getShowLives,     xmlelement, mode).defaultValues(false);
-        XMLPortParam(FlappyOrxHUDinfo, "showPoints",     setShowPoints,     getShowPoints,     xmlelement, mode).defaultValues(false);
+        XMLPortParam(FlappyOrxHUDinfo, "showpoints",    setShowPoints,    getShowPoints,    xmlelement, mode).defaultValues(false);
+        XMLPortParam(FlappyOrxHUDinfo, "showmessage",   setShowMessage,   getShowMessage,   xmlelement, mode).defaultValues(false);
        
     
@@ -71,12 +74,5 @@
             {
                 const std::string& points = multi_cast<std::string>(this->FlappyOrxGame->getPoints());
-                if (this->FlappyOrxGame->lives <= 0)
-                {
-                    setTextSize(0.2);
-                    setPosition(Vector2(0.1, 0.02));
-                    this->setCaption("Final score:\n" + points);
-                    this->setColour(ColourValue(1, 0, 0, 1));
-                }
-                else
+                if (not this->FlappyOrxGame->isDead())
                 {
                     setTextSize(0.04);
@@ -85,4 +81,14 @@
                     this->setCaption(points);
                 }
+            }
+            if(this->bShowGameOver_){
+                if(this->FlappyOrxGame->isDead()){
+                    std::string message = this->FlappyOrxGame->getDeathMessage();
+                    setTextSize(0.4);
+                    setPosition(Vector2(.5, .5));
+                    this->setCaption(message);
+                    this->setColour(ColourValue(1, 0, 0, 1));
+                }
+
             }
            
Index: code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxHUDinfo.h
===================================================================
--- code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxHUDinfo.h	(revision 11562)
+++ code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxHUDinfo.h	(revision 11563)
@@ -32,4 +32,5 @@
 #include "tools/interfaces/Tickable.h"
 #include "overlays/OverlayText.h"
+#include <cstring>
 
 namespace orxonox
@@ -64,4 +65,10 @@
                 { return this->bShowMultiplier_; }
 
+            inline void setShowMessage(bool value){
+                bShowGameOver_ = value;
+            }
+            inline bool getShowMessage() const
+                { return this->bShowGameOver_; }
+
 
         private:
@@ -71,4 +78,6 @@
             bool bShowPoints_;
             bool bShowMultiplier_;
+            bool bShowGameOver_;
+            std::string sGameOverMessage_;
     };
 }