Index: code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrx.cc
===================================================================
--- code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrx.cc	(revision 11564)
+++ code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrx.cc	(revision 11565)
@@ -67,4 +67,6 @@
         point = 0;
         bShowLevel = false;
+        sDeathMessage = "hallihallo";
+        bIsDead = true;
         multiplier = 1;
         b_combo = false;
@@ -77,12 +79,7 @@
 
         if(this->tubes.size()==0||x-tubes.back()+tubeOffsetX>spawnDistance){
-            orxout()<<"true: ";
             spawnTube();
             this->tubes.push(x+tubeOffsetX);
         }
-        else{
-            orxout()<<"false:";
-        }
-        orxout()<<"x("<<x<<")- tubes.back()("<<tubes.back()<<") + tubeOffsetX("<<tubeOffsetX<<") > spawnDistance("<<spawnDistance<<")"<<std::endl;
         if(this->tubes.size()!=0&&x>this->tubes.front()){
             this->tubes.pop();
@@ -166,6 +163,4 @@
 
     void FlappyOrx::createAsteroid(Circle &c){
-        orxout() << "created Asteroid at x="<<c.x<<" y="<<c.y << std::endl;
-
         MovableEntity* newAsteroid = new MovableEntity(this->center_->getContext());
 
@@ -200,9 +195,9 @@
 
     bool FlappyOrx::isDead(){
-        return true;
+        return bIsDead;
     }
 
     std::string FlappyOrx::getDeathMessage(){
-        return "hello world";
+        return sDeathMessage;
     }
 
@@ -241,9 +236,10 @@
 
     void FlappyOrx::death(){
+        bIsDead = true;
+        sDeathMessage = "GameOver";
         if (Highscore::exists()){
                     int score = this->getPoints();
                     if(score > Highscore::getInstance().getHighestScoreOfGame("Flappy Orx")) 
                         Highscore::getInstance().storeHighscore("Flappy Orx",score);
-
         }
         point = -1;
Index: code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrx.h
===================================================================
--- code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrx.h	(revision 11564)
+++ code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrx.h	(revision 11565)
@@ -96,4 +96,6 @@
             bool bEndGame;
             bool bShowLevel;
+            bool bIsDead;
+            std::string sDeathMessage;
             std::queue<int> tubes;
             std::queue<MovableEntity*> asteroids;
Index: code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxHUDinfo.cc
===================================================================
--- code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxHUDinfo.cc	(revision 11564)
+++ code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxHUDinfo.cc	(revision 11565)
@@ -66,14 +66,7 @@
         if (this->FlappyOrxGame)
         {
-            // if (this->bShowLives_)  //preperation for easy mode
-            // {
-            //     const std::string& lives = multi_cast<std::string>(this->InvaderGame->getLives());
-            //     this->setCaption(lives);
-            // }
-            if(this->bShowPoints_)
-            {
-                const std::string& points = multi_cast<std::string>(this->FlappyOrxGame->getPoints());
-                if (not this->FlappyOrxGame->isDead())
-                {
+            if(not this->FlappyOrxGame->isDead()){
+                if(this->bShowPoints_){
+                    const std::string& points = multi_cast<std::string>(this->FlappyOrxGame->getPoints());
                     setTextSize(0.04);
                     setPosition(Vector2(0.14, 0.02));
@@ -81,16 +74,17 @@
                     this->setCaption(points);
                 }
+                else if(this->bShowGameOver_){
+                    setTextSize(0);
+                }
             }
-            if(this->bShowGameOver_){
-                if(this->FlappyOrxGame->isDead()){
+            else{
+                if(this->bShowGameOver_){
                     std::string message = this->FlappyOrxGame->getDeathMessage();
-                    setTextSize(0.4);
+                    setTextSize(0.1);
                     setPosition(Vector2(.5, .5));
                     this->setCaption(message);
                     this->setColour(ColourValue(1, 0, 0, 1));
                 }
-
-            }
-           
+            }   
         }
     }
Index: code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxShip.cc
===================================================================
--- code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxShip.cc	(revision 11564)
+++ code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxShip.cc	(revision 11565)
@@ -52,4 +52,5 @@
         this->speed = 1;
         this->gravity = 1;
+        isDead = true;
         
     }
@@ -68,5 +69,5 @@
         SUPER(FlappyOrxShip, tick, dt);
         //Execute movement
-        if (this->hasLocalController())
+        if (this->hasLocalController()&&not isDead)
         {
             if(getHealth()<0){
@@ -127,4 +128,8 @@
 
     void FlappyOrxShip::boost(bool boost){
+        if(isDead){
+            isDead = false;
+            getGame()->bIsDead = false;
+        }
         isFlapping=boost;
     }
Index: code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxShip.h
===================================================================
--- code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxShip.h	(revision 11564)
+++ code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxShip.h	(revision 11565)
@@ -83,4 +83,5 @@
             Camera* camera;
             bool isFlapping;
+            bool isDead;
             float speed, UpwardThrust, gravity;
             struct Velocity