Index: /code/branches/FlappyOrx_HS17/data/levels/FlappyOrx.oxw
===================================================================
--- /code/branches/FlappyOrx_HS17/data/levels/FlappyOrx.oxw	(revision 11565)
+++ /code/branches/FlappyOrx_HS17/data/levels/FlappyOrx.oxw	(revision 11566)
@@ -32,5 +32,5 @@
   <Scene
     ambientlight = "0.8, 0.7, 0.4"
-    skybox     = "Orxonox/skyBoxFlappyOrx"
+    skybox     = "Orxonox/skyBoxBasic"
   >
 
Index: /code/branches/FlappyOrx_HS17/data/overlays/FlappyOrxHUD.oxo
===================================================================
--- /code/branches/FlappyOrx_HS17/data/overlays/FlappyOrxHUD.oxo	(revision 11565)
+++ /code/branches/FlappyOrx_HS17/data/overlays/FlappyOrxHUD.oxo	(revision 11566)
@@ -29,13 +29,4 @@
     />
 
-    <OverlayText
-     position  = "0.02, 0.02"
-     pickpoint = "0.0, 0.0"
-     font      = "ShareTechMono"
-     textsize  = 0.04
-     colour    = "1.0, 1.0, 1.0, 1.0"
-     align     = "left"
-     caption   = "Score: "
-    />
     <!-- <FlappyOrxHUDinfo 
      position  = "0.14, 0.01"
Index: /code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrx.cc
===================================================================
--- /code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrx.cc	(revision 11565)
+++ /code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrx.cc	(revision 11566)
@@ -67,5 +67,5 @@
         point = 0;
         bShowLevel = false;
-        sDeathMessage = "hallihallo";
+        sDeathMessage = "Welcome to FlappyOrx\nPress Space to start!";
         bIsDead = true;
         multiplier = 1;
Index: /code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxHUDinfo.cc
===================================================================
--- /code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxHUDinfo.cc	(revision 11565)
+++ /code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxHUDinfo.cc	(revision 11566)
@@ -68,5 +68,5 @@
             if(not this->FlappyOrxGame->isDead()){
                 if(this->bShowPoints_){
-                    const std::string& points = multi_cast<std::string>(this->FlappyOrxGame->getPoints());
+                    const std::string& points = "Score: "+multi_cast<std::string>(this->FlappyOrxGame->getPoints());
                     setTextSize(0.04);
                     setPosition(Vector2(0.14, 0.02));
@@ -79,8 +79,14 @@
             }
             else{
-                if(this->bShowGameOver_){
+                if(this->bShowPoints_){
+                    setTextSize(0);
+                }
+                else if(this->bShowGameOver_){
                     std::string message = this->FlappyOrxGame->getDeathMessage();
                     setTextSize(0.1);
                     setPosition(Vector2(.5, .5));
+
+                    setAlignment(OverlayText::Alignment::Center);
+                    
                     this->setCaption(message);
                     this->setColour(ColourValue(1, 0, 0, 1));
Index: /code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxShip.cc
===================================================================
--- /code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxShip.cc	(revision 11565)
+++ /code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxShip.cc	(revision 11566)
@@ -69,5 +69,5 @@
         SUPER(FlappyOrxShip, tick, dt);
         //Execute movement
-        if (this->hasLocalController()&&not isDead)
+        if (this->hasLocalController())
         {
             if(getHealth()<0){
@@ -81,15 +81,16 @@
             
 
-            velocity.y += gravity*dt;
-            if(isFlapping){
-                isFlapping = false;
-                if(pos.z > -150)
-                    velocity.y = -UpwardThrust;
+            if(not isDead){
+                velocity.y += gravity*dt;
+                if(isFlapping){
+                    isFlapping = false;
+                    if(pos.z > -150)
+                        velocity.y = -UpwardThrust;
+                }
+
+                pos += Vector3(speed + velocity.x, 0, velocity.y) * dt; 
             }
-
-            pos += Vector3(speed + velocity.x, 0, velocity.y) * dt;
             
-
-            
+                        
             // Camera
             Camera* camera = this->getCamera();
@@ -154,4 +155,5 @@
     void FlappyOrxShip::death()
     {
+        isDead = true;
         Vector3 pos = getPosition();
         pos.x = 0;